### Class

# WebKit2WebExtension DOMClientRectList

#### Description

    class WebKit2WebExtension.DOMClientRectList : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_client_rect_list_get_length

Returns the number of `WebKitDOMClientRect` objects that `self` contains.

deprecated: 2.22 since: 2.18

###### webkit_dom_client_rect_list_item

Returns the `WebKitDOMClientRect` object that `self` contains at `index`.

deprecated: 2.22 since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMClientRectList:length

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMClientRectListClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.